# Created by pyp2rpm-1.0.1
%global pypi_name future

Name:           python-future
Version:        0.18.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Url:		https://python-future.org/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Easy, safe support for Python 3/2 compatibility

%package -n     python3-%{pypi_name}
Summary:        Clean single-source support for Python 3 and 2
%{?python_provide:%python_provide python3-future}

%description -n python3-%{pypi_name}
Easy, safe support for Python 3/2 compatibility

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/%{pypi_name}.egg-info

%build
# Do the build in the install stage.
# The build system wipes the build directory at the start of the
# build

%install
%py3_build
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/futurize
%{_bindir}/pasteurize
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/past
%{python3_sitelib}/libfuturize
%{python3_sitelib}/libpasteurize


%changelog
* Wed Aug 10 2022 tex- 0.18.2-1pclos2022
- new version
